export default class PostalMime {
  parse(data: string): Promise<Email>;
}

export interface Header {
  key: string;
  value: string;
}

export interface Address {
  address: string;
  name: string;
}

export interface Attachment {
  filename: string;
  mimeType: string;
  disposition: "attachment" | "inline" | null;
  related: boolean;
  contentId: string;
  content: ArrayBuffer;
}

export interface Email {
  headers: Header[];
  from?: Address;
  to?: Address[];
  subject?: string;
  date?: string;
  text?: string;
  html?: string;
  attachments: Attachment[];
}
